%define patchSet0 20060404

Name:		corkscrew
Summary:	Tool for tunneling SSH through HTTP proxies
Version:	2.0
Release:	%mkrel 18
License:	GPLv2
Url:		http://www.agroman.net/%{name}
Group:		Networking/Other
Source0:	http://www.agroman.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}.%{patchSet0}-manpage.patch
Patch1:		%{name}-%{version}.%{patchSet0}-firstpacket.patch
Patch2:		corkscrew-2.0-automake.patch

%description
Corkscrew is a tool for tunneling SSH through HTTP proxies.

%prep
%setup
%patch0 -p1 -b .manpage
%patch1 -p1 -b .firstpacket
%patch2 -p1 -b .automake

# Fix some bad references in the man pages
perl -pi -e 's|/usr/local/bin|%{_bindir}|g;' corkscrew.1 README

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# man page
install -Dpm 644 corkscrew.1 %{buildroot}%{_mandir}/man1/corkscrew.1

%files
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Mar 14 2022 umeabot <umeabot> 2.0-18.mga9
+ Revision: 1791672
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0-17.mga8
+ Revision: 1511468
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.0-16.mga7
+ Revision: 1296803
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 umeabot <umeabot> 2.0-15.mga6
+ Revision: 929564
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-14.mga5
+ Revision: 743925
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-13.mga5
+ Revision: 678547
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-12.mga4
+ Revision: 503491
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0-11.mga3
+ Revision: 348176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 2.0-10.mga3
+ Revision: 336578
- fix build with new automake 1.13

* Tue Dec 25 2012 wally <wally> 2.0-9.mga3
+ Revision: 335011
- add patch to fix build with new automake
- clean .spec

* Thu Dec 01 2011 blino <blino> 2.0-8.mga2
+ Revision: 174661
- uncompress patches
- imported package corkscrew


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0-8mdv2011.0
+ Revision: 617430
- the mass rebuild of 2010.0 packages

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 2.0-7mdv2010.0
+ Revision: 424990
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0-6mdv2008.1
+ Revision: 171792
- fix buildf
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request
- fix autoconf-2.5x path

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 2.0-6mdv2008.0
+ Revision: 21247
- rebuild, use %%mkrel
- Import corkscrew




* Wed Apr  5 2006 Glenn Rolland <glenux@mandriva.com> 2.0-5mdk
- Removed the patch for config.sub/config.guess in favor of something
  cleaner in the spec file
- Removed the patch fixing the paths in README in favor of a perl regexp 
  in the spec file

* Tue Apr  4 2006 Glenn Rolland <glenux@mandriva.com> 2.0-4mdk
- Updated config.sub/config.guess (thanks Aurelien Jarno and debian BTS)
# (close #317321 in debian BTS) 
- Applied patch by Franck Kirschner to fix issue when first packet sent
  by proxy has both header and beginning of answer (thanks debian BTS)
# (no entry in debian BTS) 
- Fixed corkscrew path in README
# (close #219953 in debian BTS) 
- Stolen manpage from debian package (provided by Laurent Fousse)
# (close #222038 in debian BTS) 

* Tue Aug 16 2005 Emmanuel Blindauer <mdk@agat.net> 2.0-3mdk
- yearly rebuild

* Fri Aug  6 2004 Emmanuel Blindauer <mdk@agat.net> 2.0-2mdk
- rpmlint doesn't do all the jobs, so I'll have to fix summary, url and so on!

* Fri Aug  6 2004 Emmanuel Blindauer <manu@agat.net> 2.0-1mdk
- first packaged version
